/*
 * Class WEL_OBJID_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_21 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_21 [] = {0xFF01,1551,20,0xFFFF};
static const EIF_TYPE_INDEX egt_2_21 [] = {0xFF01,20,0xFFFF};
static const EIF_TYPE_INDEX egt_3_21 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_21 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_21 [] = {0xFF01,20,0xFFFF};
static const EIF_TYPE_INDEX egt_6_21 [] = {0xFF01,20,0xFFFF};
static const EIF_TYPE_INDEX egt_7_21 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_21 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_21 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_21 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_21 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_21 [] = {0xFF01,20,0xFFFF};


static const struct desc_info desc_21[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_21), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_21), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_21), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_21), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_21), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_21), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_21), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_21), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_21), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_21), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_21), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_21), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x29 /*20*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_21), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 188, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 189, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 190, 0xFFFFFFFF},
};
void Init21(void)
{
	IDSC(desc_21, 0, 20);
	IDSC(desc_21 + 1, 1, 20);
	IDSC(desc_21 + 32, 1461, 20);
}


#ifdef __cplusplus
}
#endif
